import { CommonModule } from "@angular/common";
import { HttpClientModule } from "@angular/common/http";
import { NgModule } from "@angular/core";
import { FormsModule, ReactiveFormsModule } from "@angular/forms";
import { BrowserModule } from "@angular/platform-browser";
import { BrowserAnimationsModule } from "@angular/platform-browser/animations";
import { DetailedMemberComponent } from "./components/detailed-member/detailed-member.component";
import { OverviewMemberComponent } from "./components/overview-member/overview-member.component";
import { ReservationIndividuelComponent } from "./components/reservation-individuel/reservation-individuel.component";
import { VehicleComponent } from "./components/vehicle/vehicle.component";
import { AppRoutingModule } from "./modules/app-routing.module";
import { AppMaterialModule } from "./modules/material.module";
import { AppComponent } from "./pages/app/app.component";
import { CreateReservationComponent } from "./pages/create-reservation/create-reservation.component";
import { ListReservationsComponent } from "./pages/list-reservations/list-reservations.component";
import { MembresComponent } from "./pages/membres/membres.component";
import { CommunicationService } from "./services/communication.service";

@NgModule({
  declarations: [
    AppComponent,
    CreateReservationComponent,
    MembresComponent,
    OverviewMemberComponent,
    DetailedMemberComponent,
    ListReservationsComponent,
    ReservationIndividuelComponent,
    VehicleComponent,
  ],
  imports: [
    CommonModule,
    BrowserModule,
    HttpClientModule,
    FormsModule,
    AppRoutingModule,
    BrowserAnimationsModule,
    ReactiveFormsModule,
    AppMaterialModule,
  ],
  providers: [CommunicationService],
  entryComponents: [],
  bootstrap: [AppComponent],
})
export class AppModule {}
