import { Component, Inject } from "@angular/core";
import { MAT_DIALOG_DATA, MatDialogRef } from "@angular/material/dialog";

export interface ActionModalData {
  title: string;
  message: string;
}

@Component({
  selector: "app-confirm-modal",
  templateUrl: "./confirm-modal.component.html",
  styleUrls: ["./confirm-modal.component.css"],
})
export class ConfirmModalComponent {
  constructor(
    public modalRef: MatDialogRef<ConfirmModalComponent>,
    @Inject(MAT_DIALOG_DATA) public data: ActionModalData
  ) {}

  close() {
    this.modalRef.close();
  }
}
