import { Component, EventEmitter, Input, Output } from "@angular/core";
import { Membre } from "@common/interfaces/membre";

@Component({
  selector: "app-member[member][index]",
  templateUrl: "./overview-member.component.html",
  styleUrls: ["./overview-member.component.css"],
  host: {
    class: "d-flex flex-row",
  },
})
export class OverviewMemberComponent {
  @Input() member!: Membre;
  @Input() index!: number;
  @Output() newMemberEvent: EventEmitter<number> = new EventEmitter();

  showMoreDetails() {
    this.newMemberEvent.emit(this.index);
  }
}
