import { NgModule } from "@angular/core";
import { RouterModule, Routes } from "@angular/router";

import { CreateReservationComponent } from "@app/pages/create-reservation/create-reservation.component";
import { ListReservationsComponent } from "@app/pages/list-reservations/list-reservations.component";
import { MembresComponent } from "@app/pages/membres/membres.component";

const routes: Routes = [
  { path: "", redirectTo: "/membre", pathMatch: "full" },
  { path: "membre", component: MembresComponent },
  { path: "reservations", component: ListReservationsComponent },
  { path: "create-reservation", component: CreateReservationComponent },
  { path: "**", redirectTo: "/membre", pathMatch: "full" },
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
})
export class AppRoutingModule {}
