import { Component, OnInit } from "@angular/core";
import { CommunicationService } from "@app/services/communication.service";
import { Reservation } from "@common/interfaces/reservation";

@Component({
  selector: "app-list-reservations",
  templateUrl: "./list-reservations.component.html",
  styleUrls: ["./list-reservations.component.css"],
  host: {
    class: "d-flex flex-column container justify-content-center ",
  },
})
export class ListReservationsComponent implements OnInit {
  constructor(private communicationService: CommunicationService) {}
  reservations: Reservation[] = [];

  ngOnInit() {
    const reservationObserver = {
      next: (reservations: Reservation[]) => {
        this.reservations = reservations;
      },
    };

    this.communicationService.getReservations().subscribe(reservationObserver);
  }
}
