import { Component, ElementRef, ViewChild } from "@angular/core";
import { CommunicationService } from "@app/services/communication.service";
import { Membre } from "@common/interfaces/membre";

@Component({
  selector: "app-membres",
  templateUrl: "./membres.component.html",
  styleUrls: ["./membres.component.css"],
  host: {
    class: "d-flex flex-column container",
  },
})
export class MembresComponent {
  @ViewChild("search") private search!: ElementRef<HTMLInputElement>;
  searching = true;
  detailedMember!: Membre;

  searchDone = false;

  searchedMembers: Membre[] = [];
  constructor(private readonly communicationService: CommunicationService) {}

  searchMembers() {
    this.searching = true;
    this.searchedMembers = [];
    this.searchDone = false;
    const membersObserver = {
      next: (members: Membre[]) => {
        this.searchedMembers = members;
        this.searchDone = true;
      },
    };

    this.communicationService
      .getMembers(this.search.nativeElement.value)
      .subscribe(membersObserver);
  }

  displayUser(value: number) {
    this.searching = false;
    this.detailedMember = this.searchedMembers[value];
  }
}
