// À DÉCOMMENTER ET À UTILISER LORSQUE VOTRE COMMUNICATION EST IMPLÉMENTÉE
// import { HttpClient } from "@angular/common/http";
import { HttpClient, HttpResponse } from "@angular/common/http";
import { Injectable } from "@angular/core";
import { CreateReservationDto } from "@common/dto/create-reservation.dto";
import { Conducteur } from "@common/interfaces/conducteur";
import { Emplacement } from "@common/interfaces/emplacement";
import { Membre } from "@common/interfaces/membre";
import { Reservation } from "@common/interfaces/reservation";
import { Observable } from "rxjs";
@Injectable({
  providedIn: "root",
})
export class CommunicationService {
  private readonly baseUrl: string = "http://localhost:3000/api";
  constructor(private readonly http: HttpClient) {}

  getMembers(name?: string): Observable<Membre[]> {
    if (name) {
      return this.http.get<Membre[]>(`${this.baseUrl}/members?name=${name}`);
    }
    return this.http.get<Membre[]>(`${this.baseUrl}/members`);
  }

  getMemberFromNumber(memberNumber: number): Observable<Membre> {
    return this.http.get<Membre>(`${this.baseUrl}/members/${memberNumber}`);
  }

  getMemberDrivers(memberNumber: number): Observable<Conducteur[]> {
    return this.http.get<Conducteur[]>(
      `${this.baseUrl}/members/${memberNumber}/drivers`
    );
  }

  getReservations(): Observable<Reservation[]> {
    return this.http.get<Reservation[]>(`${this.baseUrl}/reservations`);
  }

  createReservation(
    reservation: CreateReservationDto
  ): Observable<HttpResponse<unknown>> {
    return this.http.post(`${this.baseUrl}/reservations`, reservation, {
      observe: "response",
    });
  }

  getAllEmplacements(): Observable<Emplacement[]> {
    return this.http.get<Emplacement[]>(`${this.baseUrl}/emplacement`);
  }
}
