BEGIN;

INSERT INTO
  emplacement (
    nom,
    nb_stationnements,
    adresse_postale_ligne_principale,
    adresse_postale_ligne_secondaire,
    adresse_postale_ville,
    adresse_postale_cp,
    carte_url
  )
VALUES
  (
    'Université de Montréal',
    2,
    '2899 Blvd Edouard-Montpetit',
    'Apt 100',
    'Montréal',
    'H2T1J4',
    'https://goo.gl/maps/qeyMrqa4UDNWozgUA'
  ),
  (
    'École de technologie supérieure',
    2,
    '1099 Rue Notre-Dame Ouest',
    null,
    'Montréal',
    'H2C1K3',
    'https://goo.gl/maps/4L5rYJpMJr1nC2Q4A'
  ),
  (
    'École Polytechnique',
    2,
    '2499 Chemin de Polytechnique',
    null,
    'Montréal',
    'H8T1J5',
    'https://goo.gl/maps/zdrdb3BCmNXpjey88'
  ),
  (
    'Université Laval',
    3,
    '2324 Rue de l''Université',
    null,
    'Québec',
    'G0V0A6',
    'https://goo.gl/maps/F5bKpLoLKGm3WN1KA'
  );

INSERT INTO
  vehicule (
    immatriculation,
    marque,
    modele,
    odometre,
    date_mise_en_service,
    consommation,
    type,
    kw_recharge,
    emplacement_nom
  )
VALUES
  (
    'FPO5748',
    'Toyota',
    'Corolla',
    14,
    '2020-01-01',
    4.5,
    'Berline',
    null,
    'École Polytechnique'
  ),
  (
    'FLY1045',
    'Chevrolet',
    'Bolt',
    17,
    '2020-06-01',
    2.2,
    'Hybride',
    89,
    'Université Laval'
  ),
  (
    'FPO0124',
    'Mercedes',
    'Sprinter',
    2,
    '2021-01-01',
    8.0,
    'Camionnette',
    null,
    'Université de Montréal'
  );

INSERT INTO
  assurance (
    numero,
    assureur,
    date_debut,
    date_echeance,
    immatriculation
  )
VALUES
  (
    '123456789',
    'Desjardins',
    '2020-01-01',
    '2023-01-01',
    'FPO5748'
  ),
  (
    '234567584',
    'Sonnet',
    '2020-06-01',
    '2023-06-01',
    'FLY1045'
  ),
  (
    '345678912',
    'Intact',
    '2021-01-01',
    '2024-01-01',
    'FPO0124'
  );

INSERT INTO
  membre (
    numero_membre,
    password,
    montant_parts,
    nom,
    courriel,
    adresse_postale_ligne_principale,
    adresse_postale_ligne_secondaire,
    adresse_postale_ville,
    adresse_postale_cp,
    compte_bancaire_numero_institution,
    compte_bancaire_numero_transit,
    compte_bancaire_numero_compte,
    est_membre_physique,
    cotisation_reduite,
    emplacement_favoris_nom
  )
VALUES
  (
    '1029384756',
    'password',
    1,
    'Gary Test',
    'gary@test.step.polymtl.ca',
    '2600 Chemin de la Côte-Sainte-Catherine',
    null,
    'Montréal',
    'H3T1J4',
    '815',
    '30209',
    '0001',
    'true',
    'true',
    'Université de Montréal'
  ),
  (
    '1029384757',
    'aep2021',
    3,
    'AEP',
    'aep@aep.polymtl.ca',
    '2500 Chemin de Polytechnique',
    null,
    'Montréal',
    'H3T1J4',
    '815',
    '30209',
    '0005',
    'false',
    'false',
    'École Polytechnique'
  ),
  (
    '1029384759',
    'totallystrongpasswordnoonecancrack',
    0,
    'Michel Dupont',
    'MichelDupont@icloudliveusbbootable.tv',
    '777 Rue banale',
    '13',
    'Montréal',
    'H3T1J4',
    '815',
    '30219',
    '0009',
    'true',
    'false',
    'Université Laval'
  );

INSERT INTO
  conducteur (
    numero_permis,
    nom_complet,
    numero_membre
  )
VALUES
  (
    'R236316750212',
    'Gary Test',
    '1029384756'
  ),
  (
    'J186816750213',
    'Isa. G.',
    '1029384757'
  ),
  (
    'S896216780212',
    'Michel Dupont',
    '1029384759'
  ),
  (
    'O092716502128',
    'Donald J. Trump',
    '1029384757'
  );

INSERT INTO
  reservation (
    temps_debut,
    temps_fin,
    numero_permis_conducteur,
    numero_membre,
    immatriculation
  )
VALUES
  (
    '2021-05-01 12:00:00',
    '2021-05-01 13:00:00',
    'R236316750212',
    '1029384756',
    'FPO5748'
  ),
  (
    '2021-05-01 16:00:00',
    '2021-05-01 18:00:00',
    'R236316750212',
    '1029384756',
    'FPO0124'
  ),
  (
    '2021-06-07 12:00:00',
    '2021-06-07 13:00:00',
    'O092716502128',
    '1029384757',
    'FLY1045'
  ),
  (
    '2023-03-19 12:00:00',
    '2023-03-19 13:00:00',
    'O092716502128',
    '1029384757',
    'FLY1045'
  );

INSERT INTO
  facture (
    date_creation,
    date_echeance,
    total,
    est_payee,
    numero_membre
  )
VALUES
  (
    '2021-06-01 00:00:00',
    '2021-06-015 00:00:00',
    20.00,
    'true',
    '1029384756'
  ),
  (
    '2021-07-01 12:00:00',
    '2021-07-15 13:00:00',
    30.00,
    'false',
    '1029384757'
  );

INSERT INTO
  utilisation (
    temps_debut,
    temps_fin,
    odometre_debut,
    odometre_fin,
    numero_membre,
    immatriculation,
    date_creation_facture
  )
VALUES
  (
    '2021-05-01 12:00:00',
    '2021-05-01 13:00:00',
    1000,
    2000,
    '1029384756',
    'FPO5748',
    '2021-06-01'
  ),
  (
    '2021-05-01 16:00:00',
    '2021-05-01 18:00:00',
    3000,
    3500,
    '1029384756',
    'FPO0124',
    '2021-06-01'
  ),
  (
    '2021-06-07 12:00:00',
    '2021-06-07 13:00:00',
    25,
    29,
    '1029384757',
    'FLY1045',
    '2021-07-01'
  );

INSERT INTO
  caracteristiques_vehicule (
    prix_horaire,
    prix_kilometrique,
    odometre_max,
    type
  )
VALUES
  (100, 0.5, 100000, 'Hybride'),
  (150, 10, 130000, 'Berline'),
  (200, 15, 300000, 'Camionnette');

COMMIT;