----- File with sql queries for CommuVelo -----


-- 1. Retourne la marque, le modèle et l'emplacement d'origine des véhicule
SELECT marque, modele, emplacement_nom FROM Vehicule;

-- 2. Retourne le marque, le modèle et l'emlacement d'origine des véhicules y compris les marques et les modèles qui n'ont pas de location
SELECT marque, modele, emplacement_nom FROM Vehicule;

-- 3. Retournez les emplacements sans véhicules 
SELECT e.nom, count(v.immatriculation)
FROM emplacement e
LEFT OUTER JOIN vehicule v ON e.nom = v.emplacement_nom
GROUP BY e.nom
HAVING count(v.immatriculation) = 0;

-- 4. Retournez tous les véhicules dont le domicile est situé dans la ville de Montréal
SELECT * FROM vehicule v
LEFT JOIN emplacement e ON v.emplacement_nom = e.nom
WHERE e.adresse_postale_ville = 'Montréal';

-- 5. Retournez les emplacements et le nombre de voitures hybrides à chaque emplacement 
SELECT e.nom, count(v.immatriculation)
FROM emplacement e
LEFT OUTER JOIN vehicule v ON e.nom = v.emplacement_nom AND v.type = 'Hybride'
GROUP BY e.nom;

-- 6. Retournez les plaques d’immatriculation des véhicules qui ont été utilisés (pas seulement réservés)
SELECT v.immatriculation
FROM vehicule v
JOIN utilisation u ON v.immatriculation = u.immatriculation;

-- 7. Retournez toutes les informations des membres (personnes physiques) vivant dans une ville avec un emplacement qui a des voitures hybrides
SELECT m.* FROM (emplacement e 
JOIN vehicule v ON e.nom = v.emplacement_nom AND v.type = 'Hybride')
JOIN membre m ON m.adresse_postale_ville = e.adresse_postale_ville
WHERE m.est_membre_physique = TRUE;

-- 8. Retournez toutes les informations des véhicules à l’emplacement Montréal qui sont libres le 23/01/2023 à 10 h
SELECT v.* FROM vehicule v
LEFT OUTER JOIN reservation r ON v.immatriculation = r.immatriculation
WHERE '2023-01-23 10:00:00' NOT BETWEEN r.temps_debut AND r.temps_fin
AND v.emplacement_nom = 'Montréal';

-- 9. Retournez les plaques d’immatriculation et le nombre de réservations de chaque véhicule (y compris ceux sans réservation, c’est-à-dire que le nombre de réservations est 0)
SELECT v.immatriculation, count(r.temps_debut)
FROM vehicule v
LEFT OUTER JOIN reservation r ON v.immatriculation = r.immatriculation
GROUP BY v.immatriculation;

-- 10. Quel est le véhicule avec la consommation de carburant la plus élevée ?
SELECT * FROM vehicule
WHERE consommation = (SELECT MAX(consommation) FROM vehicule);

-- 11. Retournez la consommation de carburant maximale, moyenne et minimale par catégorie de véhicule
SELECT vehicule.type, MAX(vehicule.consommation), AVG(vehicule.consommation), MIN(vehicule.consommation)
FROM vehicule
GROUP BY vehicule.type;

-- 12. Retournez tous les membres qui ont réservé un véhicule à un endroit autre que leur emplacement d’origine même si le type de véhicule existe à leur emplacement d’origine 
SELECT * FROM ((reservation r
JOIN vehicule v ON r.immatriculation = v.immatriculation)
JOIN membre m ON r.numero_membre = m.numero_membre)
JOIN emplacement e ON v.emplacement_nom = e.nom AND m.emplacement_favoris_nom != e.nom
WHERE EXISTS
(SELECT vehicule.type FROM vehicule
JOIN membre ON m.emplacement_favoris_nom = vehicule.emplacement_nom AND vehicule.type = v.type);
