import { TypeVehicule } from '@common/enum/type-vehicule.enum';
import { Type } from 'class-transformer';
import { IsEnum, IsNumber, IsString } from 'class-validator';

export class CreateReservationDto {
  @Type(() => Date)
  tempsDebut!: Date;

  @Type(() => Date)
  tempsFin!: Date;

  @IsString()
  numeroPermisConducteur!: string;

  @IsNumber()
  numeroMembre!: number;

  @IsString()
  emplacementNom!: string;

  @IsEnum(TypeVehicule)
  typeVehicule!: TypeVehicule;
}
