import { Emplacement as EmplacementInterface } from '@common/interfaces/emplacement';
import { EmplacementRow } from 'rows/emplacement.row';
import { AdressePostale } from './adresse-postale.entity';

export class Emplacement implements EmplacementInterface {
  nom: string;
  nbStationnements: number;
  adressePostale: AdressePostale;
  carteUrl: string;

  constructor(emplacementRow: EmplacementRow) {
    this.nom = emplacementRow.nom;
    this.nbStationnements = emplacementRow.nb_stationnements;
    this.adressePostale = new AdressePostale(
      emplacementRow.adresse_postale_ligne_principale,
      emplacementRow.adresse_postale_ville,
      emplacementRow.adresse_postale_cp,
      emplacementRow.adresse_postale_ligne_secondaire,
    );
    this.carteUrl = emplacementRow.carte_url;
  }
}
