import { Reservation as ReservationInterface } from '@common/interfaces/reservation';
import { ReservationRow } from 'rows/reservation.row';
import { Conducteur } from './conducteur.entity';
import { Vehicule } from './vehicule.entity';

export class Reservation implements ReservationInterface {
  tempsDebut: Date;
  tempsFin: Date;
  conducteur: Conducteur;
  vehicule: Vehicule;

  constructor(
    reservationRow: ReservationRow,
    conducteur: Conducteur,
    vehicule: Vehicule,
  ) {
    this.tempsDebut = new Date(reservationRow.temps_debut);
    this.tempsFin = new Date(reservationRow.temps_fin);
    this.conducteur = conducteur;
    this.vehicule = vehicule;
  }
}
