import { TypeVehicule } from '@common/enum/type-vehicule.enum';
import { VehiculeRow } from 'rows/vehicule.row';
import { Emplacement } from './emplacement.entity';

export class Vehicule {
  immatriculation: string;
  marque: string;
  modele: string;
  odometre: number;
  dateMiseEnService: Date;
  consommation: number;
  type: TypeVehicule;
  emplacement: Emplacement | null;

  constructor(vehiculeRow: VehiculeRow, emplacement: Emplacement | null) {
    this.immatriculation = vehiculeRow.immatriculation;
    this.marque = vehiculeRow.marque;
    this.modele = vehiculeRow.modele;
    this.odometre = vehiculeRow.odometre;
    this.dateMiseEnService = vehiculeRow.date_mise_en_service;
    this.consommation = vehiculeRow.consommation;
    this.type = vehiculeRow.type;
    this.emplacement = emplacement;
  }
}

export class VehiculeHybride extends Vehicule {
  kwRecharge: number;

  constructor(vehiculeRow: VehiculeRow, emplacement: Emplacement | null) {
    super(vehiculeRow, emplacement);
    this.kwRecharge = vehiculeRow.kw_recharge as number;
  }
}
