import { Module } from '@nestjs/common';
import { EmplacementController } from './controllers/emplacement.controller';
import { MemberController } from './controllers/member.controller';
import { ReservationController } from './controllers/reservation.controller';
import { DatabaseService } from './services/database.service';
import { DriverService } from './services/driver.service';
import { EmplacementService } from './services/emplacement.service';
import { MemberService } from './services/member.service';
import { ReservationService } from './services/reservation.service';
import { VehicleService } from './services/vehicle.service';

@Module({
  imports: [],
  controllers: [MemberController, ReservationController, EmplacementController],
  providers: [
    DatabaseService,
    MemberService,
    EmplacementService,
    DriverService,
    ReservationService,
    VehicleService,
  ],
})
export class AppModule {}
