import { Injectable } from '@nestjs/common';
import { Emplacement } from 'model/emplacement.entity';
import { EmplacementRow } from 'rows/emplacement.row';
import { DatabaseService } from './database.service';

@Injectable()
export class EmplacementService {
  constructor(private databaseService: DatabaseService) {}

  async findAll(): Promise<Emplacement[]> {
    const query = `SELECT * from emplacement`;
    const result = await this.databaseService.query<EmplacementRow>(query);
    return await Promise.all(result.rows.map((row) => new Emplacement(row)));
  }

  async findByName(name: string): Promise<Emplacement | null> {
    const query = `SELECT * from emplacement WHERE nom = $1`;
    const result = await this.databaseService.query<EmplacementRow>(query, [
      name,
    ]);
    if (!result.rowCount) return null;
    return new Emplacement(result.rows[0]);
  }
}
